openct-0.6.20-alt4.qa1.i586.rpm


Advertisement

Description

openct - OpenCT Library for Smart Card Readers

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename openct-0.6.20-alt4.qa1.i586.rpm
Package name openct
Package version 0.6.20
Package release alt4.qa1
Package architecture i586
Package type rpm
Category System/Servers
Homepage -
License -
Maintainer -
Download size 735.01 KB
Installed size 735.01 KB
OpenCT implements drivers for several smart card readers.
It comes as driver in ifdhandler format for PC/SC-Lite, as CT-API
driver, or as a small and lean middleware, so applications can use
it with minimal overhead.  OpenCT also has a primitive mechanism
to export smart card readers to remote machines via tcp/ip.

Alternatives

Package Version Architecture Repository
openct-0.6.20-alt4.qa1.x86_64.rpm 0.6.20 x86_64 Classic
openct - - -

Requires

Name Value
/etc/rc.d/init.d -
/etc/rc.d/init.d(action) -
/etc/rc.d/init.d(msg_usage) -
/etc/rc.d/init.d/functions -
/lib/ld-linux.so.2 -
/lib/udev/rules.d -
/usr/sbin/post_service -
/usr/sbin/preun_service -
coreutils -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.3) -
libltdl.so.7 -
libopenct = 0.6.20-alt4.qa1:sisyphus+222547.100.1.1
libusb-0.1.so.4 -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
util-linux -
which -

Provides

Name Value
openct = 0.6.20-alt4.qa1:sisyphus+222547.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package openct-0.6.20-alt4.qa1.i586.rpm
Source Package openct-0.6.20-alt4.qa1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install openct rpm package:
    # sudo apt-get install openct

Files

Path
/etc/openct.conf
/etc/rc.d/init.d/openct
/lib/tmpfiles.d/openct.conf
/lib/udev/openct_pcmcia
/lib/udev/openct_serial
/lib/udev/openct_usb
/lib/udev/rules.d/60-openct.rules
/usr/bin/openct-tool
/usr/sbin/ifdhandler
/usr/sbin/ifdproxy
/usr/sbin/openct-control
/usr/share/doc/openct-0.6.20/NEWS
/usr/share/doc/openct-0.6.20/README
/usr/share/doc/openct-0.6.20/TODO
/usr/share/man/man1/openct-tool.1.xz
/var/run/openct

Changelog

2018-10-14 - Igor Vlasenko <viy@altlinux.ru> 0.6.20-alt4.qa1
- NMU: applied repocop patch
2014-04-04 - Gleb F-Malinovskiy <glebfm@altlinux.org> 0.6.20-alt4
- Add tmpfiles.d config.
2012-04-20 - Vitaly Kuznetsov <vitty@altlinux.ru> 0.6.20-alt3
- Repair build with automake >= 1.11.4
2012-03-20 - Vitaly Kuznetsov <vitty@altlinux.ru> 0.6.20-alt2
- Remove HAL support
- Add udev rules/scripts
2010-06-27 - Alexey I. Froloff <raorn@altlinux.org> 0.6.20-alt1
- [0.6.20]
2009-09-10 - Alexey I. Froloff <raorn@altlinux.org> 0.6.17-alt1
- [0.6.17]
- spec cleanup
- HAL FDI moved to 20thirdparty subdirs
- Use upstream-provided HAL FDI's
- libopenctapi.so moved to libopenct package (closes: #21488)
2009-04-26 - Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt4
- Take upstream SVN repository as base for git.alt
2009-04-22 - Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt2
- Cleanup
2008-09-02 - Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt1
- Up to new upstream version

See Also

Package Description
opendbx-1.4.3-alt2.2.qa2.i586.rpm Unified database layer with a clean and lightweight interface
opendbx-devel-1.4.3-alt2.2.qa2.i586.rpm OpenDBX development headers
opendbx-mysql-1.4.3-alt2.2.qa2.i586.rpm MySQL backend for OpenDBX
opendbx-pgsql-1.4.3-alt2.2.qa2.i586.rpm PostgreSQL backend for OpenDBX
opendbx-sqlite3-1.4.3-alt2.2.qa2.i586.rpm SQLite3 backend for OpenDBX
opendchub-0.8.3-alt1.2.i586.rpm Direct Connect Hub
opendkim-2.11.0-alt1.i586.rpm A DomainKeys Identified Mail (DKIM) milter to sign and/or verify mail
opendnssec-1.4.14-alt4.i586.rpm DNSSEC key and zone management software
opendpi-demo-1.3.0-alt1.i586.rpm Demo for OpenDPI
opendx-4.4.4-alt8.i586.rpm Open Visualization Data Explorer
openexr-2.3.0-alt2.i586.rpm A high-dynamic-range image file library
openexr-devel-2.3.0-alt2.i586.rpm Headers for developing programs that will use OpenEXR
openexr22-common-2.2.0-alt5.i586.rpm Common empty package for openexr22
openexr22-devel-2.2.0-alt5.i586.rpm Headers for developing programs that will use OpenEXR
openexr24-common-2.3.0-alt2.i586.rpm Common empty package for openexr
Advertisement
Advertisement